# 🧩 Patching apps

The following pages will guide you through using ReVanced Manager to patch apps.

## ✅ Steps to patch apps

1. Navigate to the Apps tab from the top navigation bar
2. Tap the + button in the bottom right corner
3. Choose an app to patch[^1]
4. Tap on the version of the app you want to patch[^2]
5. Tap the 🪄 **Patch** button
6. Tap on the 📲 **Install** button
   > [!Note]
   > If the **Install** Button isn't there, it could be that something went wrong. Refer to [3. ❔ Troubleshooting](3_troubleshooting.md)
   > [!Tip]
   > If you are rooted, you can mount the patched app on top of the original app.[^3]
   > Optionally, you may export the patched app to storage using the options in the bottom left corner.

[^1]: You need to select an APK from storage, in which case you have to source the APK file yourself. ReVanced does not provide any APK files.
[^2]: It is suggested to use the version with the most patches to get the most out of ReVanced.
[^3]: Mounting the patched app on top of the original app will only work if the installed app version matches the version of the app selected in step 4. above.

### Change patch selection and options

Before you can change the selection of patches, follow the step below to allow changing the selection of patches.

1. Tap ⚙️ Settings button in the top right corner
2. Go to Advanced Settings
3. Toggle "Allow changing patch selection" on

## ⏭️ What's next

The next page will bring you back to the usage page.

Continue: [🛠️ Usage](2_usage.md)
