# 🎉 Submitting your Pull Request

> [!TIP]
> We recommend that you discuss your changes with 
> the maintainers of ReVanced Manager before contributing. 
> This will help you determine whether your change is acceptable.

1. Fork the repository and create your branch from `dev`
2. Commit your changes in [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) style
3. Submit a pull request to the `dev` branch of the repository and reference issues that your pull request closes in the description of your pull request
4. Our team will review your pull request and provide feedback. Once your pull request is approved, it will be merged into the `dev` branch and will be included in 
   the next release of ReVanced Manager

## ⏭️ What's next

You have successfully finished the guide for developing for ReVanced Manager.

This next section will be verifying the authenticity of ReVanced Manager
which may be relevant for store provider or those who's looking to verify prebuilt librar(ies).

Continue: [✒️ Verification and Authenticity of ReVanced Manager](3_verifying.md)
